KNOWLEDGE BASE

Error "Your browser is not supported" When Connecting to Smartsheet via WDC


Published: 18 Mar 2019
Last Modified Date: 22 May 2019

Issue

When connecting to Smartsheet using the Web Data Connector, the following error might occur:

"Your browser is not supported."

Environment

  • Tableau Desktop 2019.1.0
  • Mac OSX 10.13
  • Web Data Connector
  • Connecting to Smartsheet, for which there is no native connection.

Resolution

Option 1

Upgrade to Tableau Desktop 2019.1.4 or a newer version. See Tableau Desktop Downloads and Release Notes for downloads of current and previous versions of Tableau Desktop.  For more information on current releases, see Upgrade Tableau Desktop and Desktop Upgrade.

Option 2

Try one of the following workarounds: 
  1. Try the steps suggested on the Smartsheet site (making sure browser meets minimum specs and turning off browser compatibility mode). Article link: Troubleshooting Guide on the Smartsheet Knowledge Base. 
  2. For Windows users, try to use Smartsheet's  ODBC Live Data Connector. Note: this ODBC connector does not have a Mac version. For for information, see the following Smartsheet blog: How to Use the Live Data Connector with Tableau
  3. Downgrade Tableau Desktop to 2018.3 or prior. Prior versions can be downloaded from: Tableau Desktop Product Downloads and Release Notes.

 

Cause

This issue (ID: 886711) has been fixed in a recent release of Tableau Desktop.
Did this article resolve the issue?